/*==============================================================*/
/* Database name:  joins                                        */
/* DBMS name:      InterBase 6.x                                */
/* Created on:     23.04.2005 15:45:05                          */
/*==============================================================*/


/*==============================================================*/
/* Database: joins                                              */
/*==============================================================*/
create database 'localhost:c:\joins.db'
user 'SYSDBA'
password 'masterkey'
page_size = 4096
default character set WIN1251;

/*==============================================================*/
/* Table: CLIENTS                                               */
/*==============================================================*/
create table CLIENTS (
ID                   INTEGER                        not null,
NAME                 VARCHAR(30),
constraint PK_CLIENTS primary key (ID)
);

/*==============================================================*/
/* Table: ITEMS                                                 */
/*==============================================================*/
create table ITEMS (
ID                   INTEGER                        not null,
NAME                 VARCHAR(30),
PRICE                NUMERIC(15,2),
INSTOCK              INTEGER,
constraint PK_ITEMS primary key (ID)
);

/*==============================================================*/
/* Table: ORDERLINE                                             */
/*==============================================================*/
create table ORDERLINE (
I_ID                 INTEGER                        not null,
O_ID                 INTEGER                        not null,
INORDER              INTEGER,
constraint PK_ORDERLINE primary key (I_ID, O_ID)
);

/*==============================================================*/
/* Table: ORDERS                                                */
/*==============================================================*/
create table ORDERS (
ID                   INTEGER                        not null,
C_ID                 INTEGER,
ODATE                DATE,
constraint PK_ORDERS primary key (ID)
);

alter table ORDERLINE
   add constraint FK_ORDERLIN_RELATIONS_ITEMS foreign key (I_ID)
      references ITEMS (ID);

alter table ORDERLINE
   add constraint FK_ORDERLIN_RELATIONS_ORDERS foreign key (O_ID)
      references ORDERS (ID);

alter table ORDERS
   add constraint FK_ORDERS_RELATIONS_CLIENTS foreign key (C_ID)
      references CLIENTS (ID);

